package com.atlassian.confluence.rpc.soap.beans;

import com.atlassian.confluence.core.ContentPermission;

public class RemotePermission
{
    private String lockType;
    private String lockedBy;

    public RemotePermission()
    {
    }

    public RemotePermission(ContentPermission permission)
    {
        lockType = permission.getType();
        if (permission.isGroupPermission())
            lockedBy = permission.getGroup();
        else
            lockedBy = permission.getCreatorName();
    }

    public String getLockType()
    {
        return lockType;
    }

    public void setLockType(String lockType)
    {
        this.lockType = lockType;
    }

    public String getLockedBy()
    {
        return lockedBy;
    }

    public void setLockedBy(String lockedBy)
    {
        this.lockedBy = lockedBy;
    }
}
